/*
SimuApplet

Copyright (C) 2002 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformément aux dispositions de la Licence Publique Générale GNU, telle que publiée par la Free Software Foundation ; version 2 de la licence, ou encore (à votre choix) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de détail, voir la Licence Publique Générale GNU .

Vous devez avoir reçu un exemplaire de la Licence Publique Générale GNU en même temps que ce programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/


/**
 * Paramètre d'entrée
 */
function ParamIn() {
    /** nombre | string */
    this.type = null; // String
    
    /** nom de la variable */
    this.label = null; // String
    
    /** titre utilisé pour demander la valeur ou l'afficher */
    this.titre = null; // String
    
    /** unité */
    this.unit = null; // String
    
    /**
     * méthode d'acquisition; valeurs autorisées: champ | choix | curseur | case.
     * champ: champ texte,
     * choix: pop-up menu avec une liste de valeurs possibles,
     * curseur: curseur permettant d'entrer une valeur numérique de 0 à 100,
     * case: case à cocher, renvoyant les valeurs "on" (coché) ou "off" (pas coché)
     */
    this.acquisition = null; // String
    
    /** liste de choix possibles, utilisé si acquisition="choix" (tableau de String) */
    this.choix = null; // String[]
    
    /** valeur par défaut sous forme de String */
    this.defaut = null; // String
    
    /** Description pour l'aide en ligne */
    this.description = null; // String
    
    
    if (arguments.length == 8) {
        this.type = arguments[0];
        this.label = arguments[1];
        this.titre = arguments[2];
        this.unit = arguments[3];
        this.acquisition = arguments[4];
        this.choix = arguments[5];
        this.defaut = arguments[6];
        this.description = arguments[7];
    }
    
    return(this);
}
