/*
SimuApplet

Copyright (C) 2002 Observatoire de Paris-Meudon

Ce programme est un logiciel libre ; vous pouvez le redistribuer et/ou le modifier conformément aux dispositions de la Licence Publique Générale GNU, telle que publiée par la Free Software Foundation ; version 2 de la licence, ou encore (à votre choix) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie implicite de COMMERCIALISATION ou D'ADAPTATION A UN OBJET PARTICULIER. Pour plus de détail, voir la Licence Publique Générale GNU .

Vous devez avoir reçu un exemplaire de la Licence Publique Générale GNU en même temps que ce programme ; si ce n'est pas le cas, écrivez à la Free Software Foundation Inc., 675 Mass Ave, Cambridge, MA 02139, Etats-Unis.
*/

/**
 * Méthode d'affichage (classe abstraite)
 */
function TypeAffichage() {
}

/**
 * Création des composants AWT à afficher
 */
//public abstract Panel initPanel(Vector outp) throws SimuException;
TypeAffichage.prototype.initPanel = function(outp, dimensions) {
}

TypeAffichage.prototype.estLive = function() {
}

TypeAffichage.prototype.setChronos = function(chrono) {
}

TypeAffichage.prototype.avantLancement = function() {
}

/** 
* méthode d'affichage 
* En entrée : paramètres d'entrée sous forme d'objets
*            type d'affichage
*            paramètres de sortie sous forme d'objets
*            état de la simulation
*/
//public abstract void affiche(ListeValeurs in, Vector outp) throws SimuException;
TypeAffichage.prototype.affiche = function(lin, outp) {
}

/**
 * Mise à jour de l'affichage à partir des valeurs de sortie
 */
//public abstract void update(ListeValeurs out) throws SimuException;
TypeAffichage.prototype.update = function(out) {
}

// pour les types d'affichage "live":

/** lancement simu */
TypeAffichage.prototype.start = function() {
}

/** arrêt temporaire de la simu */
TypeAffichage.prototype.stop = function() {
}

/** fin de la simu */
TypeAffichage.prototype.fin = function() {
}

/** effacement affichage */
TypeAffichage.prototype.effacer = function() {
}

/** ajustement du graphe */
TypeAffichage.prototype.ajuster = function() {
}
